Open SCAP Library: cvrf_note Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_note Struct Reference

## Public Member Functions
cvrf_note_type_t | cvrf_note_get_note_type (const struct cvrf_note *note)
xmlNode * | cvrf_note_to_dom (struct cvrf_note *note)
| Parent: Notes or DocumentNotes container (of root node or Vulnerability node, respectively) More...
struct cvrf_note * | cvrf_note_new (void)
| New CVRF Note element within Notes or DocumentNotes container. More...
void | cvrf_note_free (struct cvrf_note *note)
| Deallocates memory for a Note element of the Notes container. More...
struct cvrf_note * | cvrf_note_clone (const struct cvrf_note *note)
int | cvrf_note_get_ordinal (const struct cvrf_note *note)
const char * | cvrf_note_get_audience (const struct cvrf_note *note)
const char * | cvrf_note_get_title (const struct cvrf_note *note)
const char * | cvrf_note_get_contents (const struct cvrf_note *note)
bool | cvrf_note_set_ordinal (struct cvrf_note *note, int ordinal)
bool | cvrf_note_set_audience (struct cvrf_note *note, const char *audience)
bool | cvrf_note_set_title (struct cvrf_note *note, const char *title)
bool | cvrf_note_set_contents (struct cvrf_note *note, const char *contents)

## Data Fields
cvrf_note_type_t | type
int | ordinal
char * | audience
char * | title
char * | contents

## Member Function Documentation

## ◆ cvrf_note_get_note_type()

cvrf_note_type_t cvrf_note_get_note_type | ( | const struct cvrf_note * | note | ) |

Category of information provided by a Note element

Parameters

  note | CVRF Note structure

Returns
  Enum representing Type attribute of the Note element

## ◆ cvrf_note_to_dom()

xmlNode * cvrf_note_to_dom | ( | struct cvrf_note * | note | ) |

Parent: Notes or DocumentNotes container (of root node or Vulnerability node, respectively)

Parameters

  note | CVRF Note structure to be exported to XML

Returns
  xmlNode representing Note element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h